Skip to content

Validate a FIRMS code for a filing

POST
/validate
curl --request POST \
--url https://api.firmsapi.com/v1/validate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "code": "example", "port": "example", "use": "warehouse_entry" }'
Media type application/json
object
code
required
string
port
string
use
string
Allowed values: warehouse_entry ftz_admission exam_site location_of_goods

OK

Media type application/json
object
meta
object
data_as_of
string format: date
source
string
mode
string
Allowed values: live test

Example

{
"meta": {
"mode": "live"
}
}

Error

Media type application/json
object
error
object
code
string
message
string
links
object

Example generated

{
"error": {
"code": "example",
"message": "example",
"links": {}
}
}

Error

Media type application/json
object
error
object
code
string
message
string
links
object

Example generated

{
"error": {
"code": "example",
"message": "example",
"links": {}
}
}